Skip to end of metadata
Go to start of metadata

Feature- and Bugfix-Release

Konkrete Version: (noch kein Release/Pre-Release)

Translations

Thanks to Arturo Blanco, Gijs Key and zmata for the ongoing translation support to Spanish, Czech and Dutch.

In the translate widget, all new help files are now available to translate.

Für Benutzer | For users

My LoxBerry Selbsttest | My LoxBerry Healthcheck 

image2019-5-24_7-35-33.png

Im Widget Mein LoxBerry unter Selbsttest kann nun eine Prüfung wichtiger Systemfunktionen deines LoxBerry's ausgeführt werden. Der Selbsttest kann auch per Commandline ausgeführt werden, sollte das Webinterface nicht mehr zur Verfügung stehen. Außerdem wird der Selbsttest einmal täglich automatisch durchgeführt, und die Ergebnisse können per Virtuellem HTTP-Eingang in den Miniserver eingebunden werden. Siehe Healthcheck.


In the My LoxBerry widget under Healthcheck, a check of important system functions of your LoxBerry can be performed. The healthcheck can also be run from command line, if the web interface isn't available anymore. Additionally, the healthcheck is automatically processed every day, and it's results can be integrated by virtual http inputs to your Miniserver. See Healthcheck.

Wiki-Artikel für LoxBerry 0.2.3, Plugin-Übersicht | Wiki articles about LoxBerry 0.2.3, Plugin overview

Nach etwas mehr als einem Jahr mit LoxBerry 1.x, haben wir begonnen, im LoxBerry-Bereich des Wikis alte Artikel und Verweise für LoxBerry 0.2.3 zu entfernen. Wir sind der Meinung, dass es heute keinen Grund mehr gibt, eine alte LoxBerry-Version neu zu installieren.  Gegen das Weiterbetreiben eines laufenden LoxBerry 0.2.3/0.2.4 spricht nichts, neue Benutzer sind jedoch verwirrt durch die Hinweise LoxBerry 0.2.3/ und .x.x. 

Im selben Zuge haben wir die Plugin-Übersicht überarbeitet, und zeigen jetzt nur noch Felder an, die für LoxBerry 1.x relevant sind.

Hier die wichtigsten Änderungen der Plugin-Übersicht und der Detail-Ansicht im Wiki: 

  • Grundsätzlich sollen in der Detailansicht (die Tabelle oben bei jedem Plugin) die Releases (=grüne Fahne) gelistet sein. Gab es zu einem Plugin bisher keinen fertigen Release, kann auch der Pre-Release/Beta-Zustand (GELB) gelistet sein.  Es soll für alle Benutzer möglichst einfach sein, die letzte stabile Version zu finden. Sollte es von Plugin-Entwicklern zusätzlich Pre-Releases/Beta-Versionen geben, sind diese Informationen entweder im Artikel-Text, und/oder im loxforum.com beim entsprechenden Plugin-Thread. 
  • Die "Kompatibilitätsspalte" wurde entfernt. Stattdessen gibt es nun die Spalte "Minimale LoxBerry Version" (Min. LB Version), die die niedrigste, erforderliche LoxBerry-Version anzeigt. Ab LoxBerry 0.2.4 (nicht 0.2.3!) überprüft der Installationsprozess auch selbstständig, ob die erforderliche LoxBerry-Version installiert ist. Sollte die Fahne nicht grün sein, bitte im Artikeltext nachlesen, ob es Besonderheiten zur Kompatibilität bei diesem Plugin gibt.
  • Die "Download"-Spalte enthält ausschließlich den Link zur installierbaren ZIP-Datei. Dieser Link kann direkt kopiert und in der Plugin-Verwaltung eingefügt werden. In der "Download"-Spalte soll kein Links zu einer Download-Übersicht, zum Repository oder der Release-Liste enthalten sein. Ab LoxBerry V1.4.2 überprüft der Installationsprozess zudem, ob es sich beim Link um ein korrektes Plugin handelt.
  • Neu ist auch die Spalte "Languages". Diese soll in Zukunft die vom Plugin bereitgestellten Spachen enthalten. Bei der Angabe der Sprachen darf gerne der jeweilige Übersetzer angegeben werden. Anfangs wird diese Spalte vielfach leer sein. Wir bitten die Plugin-Autoren, in einer ruhigen Stunde die Plugin-Sprachen im Artikel zu ergänzen.

Grundsätzlich gilt bei LoxBerry ab 1.0:

  • Alle LoxBerry-Updates sind kumulativ.
  • Alle Plugins werden auch mit höheren als der angegebenen Mindestversion unterstützt.
  • Alle LoxBerry-SDK-Funktionen bleiben garantiert parameter- und funktionskompatibel mit höheren LoxBerry-Versionen.

After more than one year after the first LoxBerry 1.x release, we started to cleanup old articles and references to LoxBerry 0.2.3 in the LoxBerry wiki area. We have the opinion that there is no reason anymore to newly install the old LoxBerry 0.2.3 image. Nothing speaks against to keep a running LoxBerry 0.2.3/0.2.4 installation, but new users may be confused about the 0.2.3/1.x references.

In the same breath we reworked the Plugin Overview and only show information relevant for LoxBerry 1.x.

This are the main changes in the Plugin Overview:

  • Basically, the detail pane of a plugin (the table on top) should list Releases (=green flag). If there was no Release before, also a Pre-release/Beta may be listed (=yellow flag). For a user, it should be as simple as possible to find the latest stable version. If a plugin developer also has done newer Pre-releases / Betas, information about are mentioned in the wiki article text, and/or in the appropriate loxforum.com thread.
  • We removed the "Compatibility" row (DE: "Kompatibilität"). Instead we introduced a "Minimum LoxBerry Version" row to show the lowest LoxBerry version that is required. Starting from LoxBerry 0.2.4 (not 0.2.3!) also the plugin installation process checks if a plugin will be compatible with your LoxBerry version.  If the flag is not green but yellow, check the plugin article for mentions about compatibility.
  • The "Download" row exclusively contains a direct link to the plugin zip. This link can be copied to the Plugin Management widget for direct installation. The "Download" link should not redirect you to a download overview, the repo homepage or the release list. Starting with V1.4.2, the plugin installation also checks and croaks with an understandable error message, if the file is not a plugin zip.
  • We newly introduced the "Languages" row that lists all languages the plugin supports. We are glad if also the plugin translators are mentioned in this row. The row may be blank in the beginning. We ask plugin authors to complete the Languages column in a silent moment. 

For LoxBerry from 1.0 we have these principles:

  • All LoxBerry Updates are cumulative.
  • Every plugin is also supported with a higher LoxBerry version.
  • All LoxBerry SDK functions are guaranteed to stay parameter and function compatible in higher LoxBerry versions. 

Zeichensatzanpassung in der Log Manager Datenbank | Charset adaption in the Log Manager database

Eine Differenz des Zeichensatzes beim Datenbankzugriff zwischen Perl und PHP hat es erforderlich gemacht, den Zeichensatz der Log Manager-Datenbank anzupassen. Das führt dazu, dass im Log Manager Umlaute und Sonderzeichen von alten Log-Einträgen nun fehlerhaft dargestellt werden. Neue Log-Einträge werden korrekt dargestellt. Dies ist, bedingt durch diese Umstellung, leider nicht zu vermeiden.


A difference between the charset for the database access between Perl and PHP required a change of the charset of the Log Manager database. This leads to incorrect display of special characters for old log entries in Log Manager. New entries are displayed correctly. Because of the charset change, we sadly couldn't migrate this automatically and we couldn't avoid this.

Aktualisierung der System-Widget-Hilfe | Update of system widget help

Die Hilfe der LoxBerry-Widgets wurde überarbeitet bzw. neu erstellt. Du erreichst die Hilfe jederzeit über das i-Symbol in der rechten Ecke. Auch Plugins können dort ihre eigene Hilfe anbieten, und/oder einen Link zur Hilfe-Webseite. 

Zudem zeigt der "Ausführliche Hilfe"-Link jedes Widgets jetzt auf eine eigene Hilfeseite im Wiki (nur in Englisch) - dort findest du ggf. unter "Further information" weitere Informationen, die spezielle Fragen abdecken und nicht in die normale Hilfe passen.


The help pages of LoxBerry's widgets were completely refreshed or newly created. You can access the help everytime by clicking the i symbol on the right-top corner. Also plugins can provide it's own help, and/or a link to a help web page. Translations of the help can be created from the Translate widget. In Translate, you can select the help language files and translate them like the system language.

Furthermore, every widget help link "Detailed help" leads to a seperate Widget article in LoxWiki (English only) - at the bottom, in the "Further information" section, you may find answers to special questions we won't insert to the offline help.

Korrektur des Plugin-AutoUpdates | Fix for automatic plugin updates 

Ein Fehler hat unter bestimmten Konstellationen die automatische Benachrichtigung und Aktualisierung von Plugins außer Kraft gesetzt. Der manuelle Update-Check im Benutzerinterface war davon nicht betroffen.


An error prevented the automatic notification and installation of new plugin versions. The manual check in the web interface was not affected.

For plugin developers

  • Fixed the $log->LOGTITLE function in PHP did not work as expected.
  • LoxBerry::Log: In append mode, a warning with backtrace was given, if the log did not exist. Though the backtrace message was only a warning and the processing correctly continued, it looked like an error. Therefore, the backtrace was removed and the warning text adopted to clarify this is only a warning. 
  • msudp_send / msudp_send_mem (Perl, PHP): The udp send functions now allow a custom delimiter (default: "=") to separate key and value. See the updated help LoxBerry::IO::msudp_send (Perl) and msudp_send (PHP).
  • LoxBerry::IO::mshttp_call (Perl): Fixed an exception if the Miniserver irregularly does not respond with a valid XML. The full exception message is written to STDERR or Apache log. If you observe such an error "mshttp_call ERROR: ...", please create an issue with the Miniserver response and exception message (both written to STDERR/Apache log), for us to better understand why the Miniserver responds a non-wellformed xml.

Andere Erweiterungen und Korrekturen (English below)

  • Die Log-Datenbank wird nun nativ mit der Backup-Funktion von sqlite auf SD-Karte gesichert, statt mit dem Copy-Befehl. Das erhöht die Integrität der Datenbank.
  • In der Plugin-Verwaltung, beim Einfügen von Plugin-URLs, sind nur noch URL mit der Endung ".zip" erlaubt.
  • Bei der Installation eines Plugins wird nun eine sprechende Fehlermeldung ausgegeben, wenn es sich bei der Datei um kein ZIP-Archiv handelt.
  • Im "LoxBerry Dienste"-Widget wurde ein Anzeigefehler "Bitte warten" beim Ändern von Einstellungen korrigiert.
  • Im Hilfe-Flyout ist der Standard-Text "Keine weitere Hilfe verfügbar" nicht mehr hardcoded, sondern Bestandteil der Systemsprache.

Additional enhancements and fixes

  • The Log database now is backuped with SQLite's native backup function instead of a filesystem copy. This will enhance the integrity of the backup file.
  • In the Plugin Management widget, inserting an url, only url's with ".zip" are allowed.
  • On installing a plugin, a clearer message is displayed, if the installed file is not a zip file.
  • In the LoxBerry Services widget, a wrong message "Please wait" on changing settings was fixed.
  • In the help flyout, the default text "No further help available" is not hardcoded anymore, but comes from the LoxBerry system language (translatable).


Commit Log: https://github.com/mschlenstedt/Loxberry/compare/1.4.0.3...1.4.1

  • No labels